[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.StartsWith

Check if one string starts with another

## Declaration

Source position: syshelph.inc line 172

`public function TStringHelper.StartsWith(`
`const AValue: string`
`):Boolean; overload; function TStringHelper.StartsWith(`
`const AValue: string;`
`IgnoreCase: Boolean`
`):Boolean; overload;`

## Description

StartsWith will return True if the first characters of the string (Self) equal the string AValue. If IgnoreCase is True, then the comparison is done case insensitive. The default is to compare strings case sensitively.

## See also

TStringHelper.EndsWith |  | Check if the string is ended by another.